Cassandra.system_update_column_family_args (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.system_update_column_family_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.system_update_column_family_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.system_update_column_family_args>, org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.system_update_column_family_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.system_update_column_family_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.system_update_column_family_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CfDef` | `cf_def`
    `static java.util.Map<Cassandra.system_update_column_family_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `system_update_column_family_args()`
    `system_update_column_family_args(Cassandra.system_update_column_family_args other)` Performs a deep copy on other.
    `system_update_column_family_args(CfDef cf_def)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.system_update_column_family_args other)`
    `Cassandra.system_update_column_family_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.system_update_column_family_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.system_update_column_family_args._Fields` | `fieldForId(int fieldId)`
    `CfDef` | `getCf_def()`
    `java.lang.Object` | `getFieldValue(Cassandra.system_update_column_family_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.system_update_column_family_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCf_def()` Returns true if field cf_def is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `Cassandra.system_update_column_family_args` | `setCf_def(CfDef cf_def)`
    `void` | `setCf_defIsSet(boolean value)`
    `void` | `setFieldValue(Cassandra.system_update_column_family_args._Fields field, java.lang.Object value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCf_def()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cf_def

          public CfDef cf_def

    - #### metaDataMap

          public static final java.util.Map<Cassandra.system_update_column_family_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### system_update_column_family_args

          public system_update_column_family_args()

    - #### system_update_column_family_args

          public system_update_column_family_args(CfDef cf_def)

    - #### system_update_column_family_args

          public system_update_column_family_args(Cassandra.system_update_column_family_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.system_update_column_family_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`

    - #### getCf_def

          public CfDef getCf_def()

    - #### setCf_def

          public Cassandra.system_update_column_family_args setCf_def(CfDef cf_def)

    - #### unsetCf_def

          public void unsetCf_def()

    - #### isSetCf_def

          public boolean isSetCf_def()

      Returns true if field cf_def is set (has been assigned a value) and false otherwise

    - #### setCf_defIsSet

          public void setCf_defIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.system_update_column_family_args._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.system_update_column_family_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.system_update_column_family_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.system_update_column_family_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.system_update_column_family_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.system_update_column_family_args>`

    - #### fieldForId

          public Cassandra.system_update_column_family_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.system_update_column_family_args,Cassandra.system_update_column_family_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation